%define module_version 0.5
%define module_name ReverseProxy-FormFiller
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Apache2/Const.pm) perl(Apache2/Filter.pm) perl(Apache2/Log.pm) perl(Apache2/RequestRec.pm) perl(Apache2/RequestUtil.pm) perl(Apache2/Response.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(URI/Escape.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.5
Release: alt1
Summary: Let Apache fill and submit any html form in place of the user
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DE/DELTOMBE/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
ReverseProxy::FormFiller makes an Apache server, positioned as a frontal server or as a reverse-proxy, fill and (possibly) submit html forms in place of users.

This is particularly intended for authentication forms, if you want users to be authenticated with some account, but if you don't want them to know and type any password. But it also works with any html POST form.

ReverseProxy::FormFiller is based on Apache2 mod_perl filters. So, you have to enable mod_perl.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes example
%perl_vendor_privlib/R*

%changelog
* Wed Oct 08 2014 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1
- regenerated from template by package builder

* Tue May 06 2014 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1
- regenerated from template by package builder

* Wed Sep 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1
- initial import by package builder

